Subject: Re: bug#17774: AIX and lbracket ([) program - will not install on AIX using installp

From: Michael Felt <[email-masked]>
Date: Wed, 18 Jun 2014 20:30:04 +0200

revisted my 8.15 package in detail. Seems that two years ago I had already
done something special for coreutils - so my apology - not a bug, just
something in the way. I will find a way to make it transparent for installp.

My question: once done, would you be interested in what I have done to
include either in an AIX INSTALL or README?

On Wed, Jun 18, 2014 at 8:23 AM, Michael Felt <[email-masked]> wrote:

> Well, you guys are the experts. I was trying to be "smart" - thinking that
> lbracket 'required' the closing right bracket to keep the shell syntax
> checkers happy. Maybe I am expecting too much from my shells need to check
> syntax.
>
> FYI - It seems to be working as expected, rather designed - so I shall
> make some specialized 'buildaix' components to get around the filenameing
> problem.
>
> Will keep you posted.
>
>
> On Tue, Jun 17, 2014 at 11:16 PM, Eric Blake <[email-masked]> wrote:
>
>> On 06/17/2014 02:50 PM, Michael Felt wrote:
>> > FYI: the program runs fine, and even from the command line (the extra ]
>> at
>> > the end must satisify the ksh syntax checking).
>>
>> Rather, the 'test' binary and the 'lbracket' binary differ in one
>> crucial aspect: 'lbracket' requires its last argument in argv[] to be
>> "]".  It is not ksh, but lbracket itself that requires the matching ],
>> and it is this fact that allows us to obey POSIX while still allowing '[
>> --help' to produce help text, even though 'test --help' cannot do so
>> (that is, '[' has an escape hatch that 'test' does not).
>>
>> --
>> Eric Blake   eblake redhat com    +1-919-301-3266
>> Libvirt virtualization library http://libvirt.org
>>
>>
>